#!/usr/bin/perl
#
# artists.cgi
#
# show index of all artist names (by basically catting the pre-ground one).
#
# imports:
#  settings:
#    TUNEBOT_ROOT    root of tunebot installation.
#    TUNEIX          index of tune files.
#    TUNETAGS        index of tune attributes.
#    BANNER_STRING   identifying string for web page titles
#  environment:
#  files:
#

########################################################################
# perl script boilerplate.
# set tunebot root and load utility module.
#
BEGIN {
    $tunebot_root="XXX-the-tunebot-install-root";
    @INC=($tunebot_root."/lib", @INC);
}
use Tunebot;
#
# end of perl boilerplate
########################################################################

Tunebot::suckInCookies;
$tunebot_user=$cookie{TUNEBOTUSER};

Tunebot::suckInTags();
Tunebot::suckInAutotags();

Tunebot::printPageHeader "Index of Artists";
open(I, "$tunebot_root/html/artists.html");
while ($line = <I>) {
    print $line;
}
close(I);
Tunebot::printPageTrailer;
exit 0

